Welcome

Polyphonic Wizard : Welcome
         Next Topic

Welcome to the Coding Workshop Polyphonic Wizard help file.

The Polyphonic Wizard has been designed to be as easy to use as possible. It allows you to add ringtones and pictures to most makes and models of polyphonic cell phone without using cables or premium rate SMS services.

Click here for the getting started guide.

The software is released as shareware. You may try it out for as long as you like, but there are certain trail version restrictions that are lifted as soon as you register. For more information, see our purchase page .

Help file last updated 3 November 2003

Polyphonic Wizard v2.0


Getting started

Polyphonic Wizard : Getting Started

Getting started with the Polyphonic Wizard

We assume, as you have this help file, you have already downloaded and installed the Polyphonic Wizard. If not you can download a copy now from http://www.polyphonicwizard.com/download.html

If you have a shareware version of the Wizard the first screen you will see will look like this:

Click on the 'Ok' button to continue in trial mode, 'Obtain Key' to purchase the software, or if you have a registration key, click on the 'Enter Key' button to register your copy of the software.

You will then be shown a loading page, followed by the main software page which looks something like this...

Hopefully this screen should be self explanatory, if you move over the 'Add a new ringtone' or 'Add a new picture' buttons the options to the left will change, showing you the steps you will go through to add the ringtone or picture to your phone.

· Adding a new ringtone...

· Adding a new picture...


Adding a new ringtone

Getting Started

From the initial screen click the 'Add a new ringtone' button.

The Wizard will then bring up a file window so you can locate and select the midi file you would like to add to your phone.

Select any midi file, and click Ok to continue.

Trimming the midi file

The Wizard will then ask you if you want to trim the midi file, and show you a screen similar to this...

Midi files tend to be quite long and can be large in size, so it is a good idea to trim the file to just the part you want. Remember you are using the music as a ringtone, so you only need about 20-30 seconds, and can remove any intro sequences to get into the main tune quickly when your phone rings.

To trim the ringtone simply slide the arrows left and right, and click the 'Preview' button to hear the result.

As you trim the midi file you will see the 'projected file size' bar change color. If your midi file is very large it will start off red, then as you trim it, it will turn change. Ideally you need a green bar.

If you have version 2 of the Polyphonic Wizard you will also have an 'Advanced' button. Clicking this button will open the advanced midi editor .

To leave the midi alone (un-trimmed) simply leave the arrows in their starting positions, at each end of the bar.

Once you are happy click the 'Continue to next step' button.

Select the type of phone

The next step is to select the type of phone you have.

Different manufacturers use different formats for ringtones, so the Polyphonic Wizard needs to know what sort of phone you have so it can convert the midi file into the correct format for your phone.

The screen will look something like this...

Simply select the manufacturer of the phone you are using.

If your phone make is not listed or you have any problems with the default selection select 'other' and the Wizard will try to determine the correct format automatically whilst talking to your handset.

You may also be given the option to enhance the volume of the ringtone, depending on the type and format of midi file you are working with. Simply select yes, or no depending on your personal preference. If you are not sure try both - select no the first time, then yes the second time and compare the results on your phone.

Transfer the ringtone to your phone

The final step is to transfer the ringtone to your phone.

Click the 'Continue to next step' button and the Wizard will ask you to obtain a connection to the internet and then click continue.

You need to ensure at this point that you pc is connected directly to the internet. Normal modem, adsl, cable connections etc are classed as direct connections, the exceptions are proxy servers or routers which are in-direct.

Under normal usage, you do not need to disable your firewall software such as Norton or Zonealarm.

If you have an internet accelerator software package running it is a good idea to disable it as these can interfere with the ringtone transfer.

Once you have a connection, click the continue button and the Polyphonic Wizard will check the connection is direct, then tell you a web address to type into your phone.

The web address will look like http://123.456.789.000 (this is just an example - use the address given by the Polyphonic Wizard).

Now, on your phone locate the WAP browser, or Internet browser and use the goto url, or bookmark feature to enter, and goto the url given to you by the Wizard.

Once your phone has connected, and started to download the ringtone the Wizard will display a final 'finished' screen.

Wait until your phone completes the transfer before moving from this screen, and enjoy your new ringtone!

As WAP connections are quite slow, allow a couple of seconds per 1kb of file size for the transfer, for example a 10kb file could take up to 20 seconds to transfer - be patient.


Adding a new picture

From the initial screen click the 'Add a new picture' button.

Select a make of phone

The Polyphonic Wizard will now ask you to enter a make of phone using a window like this...

Choose a make, and if listed model of phone from the drop down lists. The Wizard will then tell you the formats your phone should support, and the size of the screen your phone has so you can use your picture editing software (such as Paint or Paint Shop Pro) to resize the picture, and save it in an appropriate format.

For GIF images, select 'GIF87a' format if your picture editing software gives you an option.

Select a picture file

The next step is to select a picture file. The Wizard will present a screen like this...

Click the 'Load a picture' button to load a picture. The picture will appear in the preview window so you can see it before loading it to your phone.

Transfer the picture to your phone

The final step is to transfer the picture to your phone.

Click the 'Continue to next step' button and the Wizard will ask you to obtain a connection to the internet and then click continue.

You need to ensure at this point that you pc is connected directly to the internet. Normal modem, adsl, cable connections etc are classed as direct connections, the exceptions are proxy servers or routers which are in-direct.

Under normal usage, you do not need to disable your firewall software such as Norton or Zonealarm.

Once you have a connection, click the continue button and the Polyphonic Wizard will check the connection is direct, then tell you a web address to type into your phone.

The web address will look like http://123.456.789.000 (this is just an example - use the address given by the Polyphonic Wizard).

Now, on your phone locate the WAP browser, or Internet browser and use the goto url, or bookmark feature to enter, and goto the url given to you by the Wizard.

Once your phone has connected, and started to download the picture the Wizard will display a final 'finished' screen.

Wait until your phone completes the transfer before moving from this screen, and enjoy your new picture!

As WAP connections are quite slow, allow a couple of seconds per 1kb of file size for the transfer, for example a 10kb file could take up to 20 seconds to transfer - be patient.


File menu

File menu

The 'File' menu, like most in the Polyphonic Wizard, is fairly self explanatory.

Start the Polyphonic Wizard

Selecting this option will restart the Polyphonic Wizard, taking you back to the initial screen that allows you to select a ringtone or picture to add to your phone.

Add a new ringtone

Selecting this option will allow you to skip the initial ringtone or picture screen, and will prompt you to select a midi file to add to your phone, then take you through the usual steps to complete the addition.

Add a new picture

Selecting this option will allow you to skip the initial ringtone or picture screen, and will prompt you to enter your make of mobile phone, then take you through the usual steps to complete the addition.

Exit

Selecting exit will close the Polyphonic Wizard.


Edit menu

Edit menu

The 'Edit' menu is fairly self explanatory.

Cut

The cut function will place the selected text on the Windows clipboard, removing it from the Ringtone Converter.

Copy

The copy function will place the selected text on the Windows clipboard, leaving the original intact.

Paste

The paste function will place a copy of the text in the Windows clipboard at the current cursor position in the Ringtone Converter.

Delete

The delete function simply removes the selected text from the Ringtone Converter.

Select All

Select all allows you to place the cursor in a window, then select all the text with one click.


Register menu

Register menu

The register menu option will bring up the product registration screen.

The Polyphonic is shareware. To read more about this click here .

If you have a unlock name and key, and you would like to convert your shareware version of the Polyphonic Wizard to a full version click here for instructions.


Help menu

Help menu

The help menu allows you access to the Coding Workshop help resources.

You can also check for updates, send us feedback through our online feedback form, and find out which version of the Polyphonic Wizard you are using .


How to register

How to register your Polyphonic Wizard

Registering your Polyphonic Wizard is quite easy.

Step 1.

The first step to registering the Polyphonic Wizard is to buy a license.

You can obtain a licence from the web site http://www.polyphonicwizard.com/buy.html

A license allows you to create a key for this, and any future versions of the Pollyphonic Wizard software.

Step 2.

Once you have a license you need to generate an unlock code for your copy of the Polyphonic Wizard.

Current instructions on how to create a key, and the key generation form are located at http://www.polyphonicwizard.com/members.php

Please take time to read this page, and follow the steps on it. Once you have completed this stage you will receive an email with a user name and key in it for your Wizard.

Step 3.

Ok, by now you should have received an email with a user name and unlock key in it.

Now, start up your Ringtone Converter and you should be shown a screen that looks something like this…

On this screen click 'Enter Key' and you should get a second screen like this one...

Your hardware fingerprint will say something different, and hopefully if you have completed step 2, you will have your key issue email.

To complete registration of the software, and to unlock all the features, copy the name and key you have been given into the Name and Key boxes, and simply click Ok.

The most common mistake users make is to try to copy their email address or even their hardware fingerprint into the name and key boxes.

If you have not received your email with a user name and key in it, please go back to step 2.


Registration policy

Polyphonic Wizard Registration Policy

Trial mode restrictions

You may try out the trial version of the Polyphonic Wizard for 7 days in free trial mode.

Some features may be disabled, however these will be stated clearly in the software, for example a short 'spoiler' may be placed in any downloaded midi or overlaid on a picture.

These restrictions are removed after you register.

What happens after I register?

When you purchase a license to use the Polyphonic Wizard you will be added to the 'members list' and be able to create an "key" to unlock the program at

http://www.polyphonicwizard.com/members.php

This key will be valid for the current version of the Polyphonic Wizard.

Upgrades to future versions are also free, so as a registered user all you need to do if you want to upgrade is to visit the url above, download the latest version and create a new key.

Details of how to enter your registration details can be found here .


Glossary

Do you know your Bluetooth from your SMAF, or the difference between CDMA or PCN or GSM? What exactly is a Polyphonic ringtone?

Abbreviations usually stand for something you can live life without knowing, some are useful gadgets, others describe functions on the phone, or perhaps the type of network you are on, but sometimes its just good to know what they do mean.

The most popular terms...

The following terms relate to the abbreviations, or jargon we get asked about most:

Bluetooth

Bluetooth is a handy technology that allows devices to talk to one another when close. As and example, you may have Bluetooth on your phone, and when in the car use this to talk to the car phone without having to plug in your phone.

EMS

EMS standard for Enhanced Messaging Service. It is system that has evolved from the standard SMS messaging you my be used to, and allows standard ringtones and graphics to be sent to and between phones.

GPRS

General Packed Radio Service. GPRS is a data upgrade for GSM networks, allowing a data transfer rate of up to 115kps and always on availability. Now being used for MMS multimedia messaging by some networks.

MMS

MMS stands for Multimedia Messaging Service. MMS allows you to send color images, graphics and audio files like polyphonic ringtones along with your text messages.

Polyphonic

Polyphonic comes from the word polyphony, meaning "many sounds". Music that has many notes sounding together, either in a chordal, or contrapuntal setting.

Polyphonic ringtones vary in specification from phone to phone, but all polyphonic phones support the playing of more than one note together, so your ringtone is generally more musical.

On the downside, because the ringtones are played 'musically' they usually difficult to here in noisy environments. Some manufacturers like Samsung have taken steps to improve this by making their ringtones especially loud, whilst others like Sony Ericsson have retained the 'beep' ringtones in their T300 handset in addition to the polyphonic tones so you can choose.

RTTTL

Ring Tone Text Transfer Language.

A text format designed to allow people to save standard (non-polyphonic) ringtones. Used by most internet sites for Nokia ringtones and by the Ringtone Converter so you can use RTTTL ringtones with almost any make or model of phone.

SMAF (mmf)

Synthetic Mobile Music Application Format.

Used in some cell phones including phones from Samsung and Sharp for polyphonic ringtone support. Filenames usually end in .mmf and are downloaded to the handset using a cable, IrDA or download by wap.

WAP

Wireless Application Protocol. Wap is an agreed standard that allows your phone to access the Internet. Supported by almost every modern phone.

Network terms...

Some terms are specific to the way the mobile phone network you are on works. These include:

AMPS

Advanced Mobile Phone Standard. Analogue format used widely in the USA.

CDMA

Code Division Multiple Access. CDMA is a digital standard used in the USA, the Far East and Japan. CDMA uses coding of the digital segments of calls, allowing networks to use space on channels over a wide range of frequencies.

GSM

Global System for Mobile Communications. A digital cellular standard used throughout Europe and now popular in most parts of the world. The standard uses three frequency bands, 900Mhz, 1800Mhz and 1900Mhz. In the UK GSM usually relates to the GSM900 band as this came first with Vodaphone and Cellnet (now O2), see GSM1800 below.

GSM1800 / PCN / DCS1800

Various names for the same technology. GSM1800 is a digital standard using the 1800MHz band. In Europe the GSM1800 band was added in most countries after the GSM900 slots very sold, and is used by the newer providers like Orange and T-Mobile. Coverage used to be limited to major cities, however now coverage is usually just as good, or in some cases better than the

GSM900 networks.

PCS1900

Personal Communications System operating on the 1900Mhz frequency. Yet another name for GSM1900, used in the USA and Canada.

TDMA

Time Division Multiple Access. TDMA is a digital processing system that allows several phones to use the same frequency. Each conversation is allocated a time slot so you only hear the conversation for a fraction of each second, but as the gaps are very small you cannot usually notice.

Other popular jargon...

Analogue

The traditional way to send calls through the air to cell phones. Still used widely in areas where coverage over large areas is required, however in most densely populated countries and locations analog has generally replaced by digital phone networks which generally offer better clarity.

Caller Display (CLI)

Also know as CLI, or Calling Line Identification. Anyone with a digital mobile will know what caller display is immediately, it used to be ground breaking, but now it is commonplace. The CLI system allows the user of a phone to see who is calling before choosing if they should accept or decline the call.

DECT

Digital Enhanced Cordless Telecommunication. DECT is a standard for cordless phones. We list it here as some Sagem phones used a combined GSM and DECT setup to allow you to use your mobile phone at home on your land line. It was a good idea, but unfortunately it doesn't look like it took off as recent Sagem models do not seem to have the facility.

DECT uses 120 channels over 10 frequencies, and gives better quality calls than traditional analogue home phones. Typically most DECT phones have a range of about 30 meters from their base station.

Digital

Digital is often banded about as a better alternative to Analogue. With a digital handset speech is sampled to create a binary series of ones and nougats which can be transmitted, and then decoded at the other end. The advantages of this to the network operator are immediate as more calls can be compressed into the same amount of free air space, but their are advantages to the user as well. As less data is flying, and the data can be corrected for errors, quality is improved, and additional services like caller id and text messaging can also tag onto the messages.

Picture messaging is now starting to take off, and the next generation of digital mobile phones, known as 3G, should feature innovations like streaming video from one handset to another.

Dual Band / Triple Band

Dual and triple band phones started to appear in the late 90's when roaming started to become a realistic proposition. Dual band phones usually allow your phone to work on networks in the GSM900 and GSM1800 bands, allowing you to use your phone in most countries worldwide.

The exception is the USA, where you need a Triple band phone to roam as the GSM standard in the states is GSM1900. Even then in remote areas you may find GSM1900 is not yet supported as the USA is a big place, and GSM networks are better suited to densely populated areas, so if you are planning to roam throughout the States you may be better buying a pre-pay package such as Virgin Mobile on a CDMA network for more coverage than a triple band phone can offer at the time of writing.

EFR

EFR standard for Enhanced Full Rate. It is a voice coding system designed to improve the voice quality on cell phones. For EFR to work it must be supported by the phone network and your handset.

ETSI

The European Telecommunications Standard Institute. The ETSI wrote the specifications for GSM and DECT.

HSCSD

High Speed Circuit Switched Data is an enhancement to standard GSM networks allowing higher data speeds by combining data slots. Requires support by the network and phone, such as the Nokia card phone.

IMEI

International Mobile Equipment Identity. A unique serial number for your phone.

J2ME

J2ME is a micro edition of Java 2 used for smaller devices with limited memory, such as mobile phones and PDAs. It allows developers to write software for mobiles, expect to see great games on a mobile near you very soon!

Roaming

Roaming allows you to use your mobile phone on other networks other than the one you pay. Usually quite expensive, but very handy when you are on your holidays and want to make someone a little jealous!

SIM (Card)

Subscriber Identity Module. The name for the small smart card used in your phone. Sim cards used to be the same size as credit cards, but with shrinking phone sizes, the Sim was re-worked to a small card about the size of a penny or cent. The Sim card stored your phone number.


Using the Advanced Midi Editor

Using the Advanced Midi Editor

The advanced midi editor has been added to version 2 of the Polyphonic Wizard and gives you more control over the trimming and channel selection process, whilst retaining ease of use for users with no musical knowledge.

You can access the advanced midi editor by clicking on the 'Advanced' button on the Polyphonic Wizard standard trim screen.

When you click on the button you will be shown a window similar to this:

To use the advanced midi editor:

Exit without Changes

Pressing this button will take you back to the standard midi trim screen.

Start Preview

Pressing the 'Start Preview' button will start a playback of the current midi file. You can click the include and remove tags on each channel to turn the channels on and off while the midi is playing.

Pressing the button again will stop the preview

Apply Changes

The 'Apply Changes' button will apply the changes you have selected and move you forward to the next stage of the Polyphonic Wizard - select a phone.

Include / Remove

To the right of each channel you will see the text include or remove. Simply click this text to include, or remove a channel. When a channel is included a small green icon will be displayed to the right. When a channel is removed a small red icon (x) will be displayed to the right.

Instrument Name

Each channel has an instrument associated with it. This is shown on the left of the screen.

Clicking the loudspeaker to the right of the instrument name will move the trim car to the first note on that channel, and start playback of just that channel.

Hint: To start playback of the whole tone from the beginning of a specific channel, click the loudspeaker twice, then click the 'Start Playback' button at the bottom of the window.

Trim Bars

At the top of the window you will see two arrows, with lines running down from these arrows. These are the trim bars.

Simply click on the arrows or bars and drag them to where you would like to start playback.

If a midi is playing back when you drag the trim bars, playback will be automatically canceled.


Connection Troubleshooting

Connection Troubleshooting

The Polyphonic Wizard uses the internet connection on your pc and the wap browser on your phone to transfer pictures and ringtones.

For this to work your PC must have a direct internet connection or your phone will be unable to contact it. Most users of the internet have a direct connection.

An example of a direct connection is a modem through a normal ISP such as AOL or Freeserve.

An example of an in-direct connection is a router or proxy server. To explain, if you have a proxy server then at best your phone will contact that server and not your PC, so the PC and phone do not communicate, and the ringtone transfer fails.

What to do first

The first step is to run through the Polyphonic Wizard to the step where you confirm you have a connection. If you have a direct connection the Wizard will simply show you a url.

If the Wizard tells you you do not have a direct connection try using a modem dial-up connection on your pc, if you have more than one internet connection on your PC the Wizard will select the most appropriate.

I have a direct connection but still cannot connect

If the Polyphonic Wizard tells you you have a direct connection, but your phone still will not connect this is then likely to be a problem on the phone side.

Check the WAP settings on your phone, usually phones allow for between 4 and 8 WAP profiles, in the same way you can choose the ISP you connect to the net with.

Check the online forum to see if there are known problems with the network and WAP service your phone is on, and try an alternate WAP gateway.

You can find an alternate gateway on the Internet, simply use a search engines such as Google to search for

'WAP settings phonename country', for example 'WAP settings T720 UK'

By selecting your WAP gateway you can usually get round any ringtone locked WAP gateways and stop paying per ringtone.


Online support forum

Polyphonic Wizard : Online support forum

Polyphonic Wizard - Online help and support forum

We have tried to make the Polyphonic Wizard very easy to use.

If you are having difficulties using any part of the software please take a look at our online support forum where we encourage customers to post their problems, comments and general hints and tips.

Our support forum is currently located at:

http://www.ringtonesoftware.com/phpBB2/


Frequently asked questions

Frequently asked questions

The majority for faq's are answered online on our support forum .

At the moment we do not get any 'common problems' so if you have a problem please refer to the support forum or contact us at support@codingworkshop.com and we will do our best to help you.


Locating the version number

Locating the version number

As the Polyphonic Wizard is constantly moving forward and new phones are added all the time, in several parts of this help file the version number of the software is referred to.

To find out the version of the Polyphonic Wizard you have, start the software then click the 'Help' option on the menu bar, then 'Release History'.

The version number and build date are shown on the top part of this screen.

This screen also lets to browse through the release history so you can see what has changed since the latest version you installed.

Registered users are entitles to free upgrades, so if you need a later version and are worried you may have to pay again, don't. Simply download the latest version from our website.


Upgrade registration keys
         Previous Topic

Upgrade registration keys

From time to time we have to change the algorithms used for our unlock keys.

If you are a registered user and have upgraded only to find your old registration key no longer works, don't panic!

You can request a new key from our automated system at:

http://www.polyphonicwizard.com/members.php

This system is for currently registered users only and will only send keys to the email address used for the original purchase.

If you have not registered please do so first.